Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 6.0.0   

Description

The attached patch introduces several changes aimed at optimizing various queries in query models.

It replaces `map` with `pluck` in several places, and improves the efficiency of data retrieval from the database. This change should

lead to better performance and reduce memory usage.

Associated revisions

Revision 22575 - 2023-12-29 09:00 - Go MAEDA

Optimize query models by replacing `map` with `pluck` (#39837).

Patch by Go MAEDA (@maeda).

History

#1 - 2023-12-13 07:01 - Go MAEDA

- Subject changed from Optimize query models for efficiency to Optimize query models by using `pluck`

#2 - 2023-12-25 15:23 - Go MAEDA

- Target version set to 6.0.0

#3 - 2023-12-29 09:01 - Go MAEDA

- Subject changed from Optimize query models by using `pluck` to Optimize query models by replacing `map` with `pluck`

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22575.

Files

optimize-query-models.patch 5.48 KB 2023-12-13 Go MAEDA
